<!DOCTYPE html>
<html>

<head>

<meta charset="UTF-8">
<meta name=viewport content="width=device-width, initial-scale=1">


<title>Drill 1.1 Released - Apache Drill</title>

<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
<link href='//fonts.googleapis.com/css?family=PT+Sans' rel='stylesheet' type='text/css'/>
<link href="/css/site.css" rel="stylesheet" type="text/css"/>

<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon"/>
<link rel="icon" href="/favicon.ico" type="image/x-icon"/>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" language="javascript" type="text/javascript"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js" language="javascript" type="text/javascript"></script>
<script language="javascript" type="text/javascript" src="/js/modernizr.custom.js"></script>
<script language="javascript" type="text/javascript" src="/js/script.js"></script>
<script language="javascript" type="text/javascript" src="/js/drill.js"></script>

</head>


<body onResize="resized();">
  <div class="page-wrap">
    <div class="bui"></div>

<div id="menu" class="mw">
<ul>
  <li class='toc-categories'>
  <a class="expand-toc-icon" href="javascript:void(0);"><i class="fa fa-bars"></i></a>
  </li>
  <li class="logo"><a href="/"></a></li>
  <li class='expand-menu'>
  <a href="javascript:void(0);"><span class='menu-text'>Menu</span><span class='expand-icon'><i class="fa fa-bars"></i></span></a>
  </li>
  <li class='clear-float'></li>
  <li class="documentation-menu">
    <a href="/docs/">Documentation</a>
    <ul>
      
        <li><a href="/docs/getting-started/">Getting Started</a></li>
      
        <li><a href="/docs/architecture/">Architecture</a></li>
      
        <li><a href="/docs/tutorials/">Tutorials</a></li>
      
        <li><a href="/docs/install-drill/">Install Drill</a></li>
      
        <li><a href="/docs/configure-drill/">Configure Drill</a></li>
      
        <li><a href="/docs/connect-a-data-source/">Connect a Data Source</a></li>
      
        <li><a href="/docs/odbc-jdbc-interfaces/">ODBC/JDBC Interfaces</a></li>
      
        <li><a href="/docs/query-data/">Query Data</a></li>
      
        <li><a href="/docs/performance-tuning/">Performance Tuning</a></li>
      
        <li><a href="/docs/log-and-debug/">Log and Debug</a></li>
      
        <li><a href="/docs/sql-reference/">SQL Reference</a></li>
      
        <li><a href="/docs/data-sources-and-file-formats/">Data Sources and File Formats</a></li>
      
        <li><a href="/docs/develop-custom-functions/">Develop Custom Functions</a></li>
      
        <li><a href="/docs/troubleshooting/">Troubleshooting</a></li>
      
        <li><a href="/docs/developer-information/">Developer Information</a></li>
      
        <li><a href="/docs/release-notes/">Release Notes</a></li>
      
        <li><a href="/docs/sample-datasets/">Sample Datasets</a></li>
      
        <li><a href="/docs/archived-pages/">Archived Pages</a></li>
      
        <li><a href="/docs/progress-reports/">Progress Reports</a></li>
      
        <li><a href="/docs/project-bylaws/">Project Bylaws</a></li>
      
    </ul>
  </li>
  <li class='nav'>
    <a href="/community-resources/">Community</a>
    <ul>
      <li><a href="/team/">Team</a></li>
      <li><a href="/mailinglists/">Mailing Lists</a></li>
      <li><a href="/community-resources/">Community Resources</a></li>
    </ul>
  </li>
  <li class='nav'><a href="/faq/">FAQ</a></li>
  <li class='nav'><a href="/blog/">Blog</a></li>
  <li id="twitter-menu-item"><a href="https://twitter.com/apachedrill" title="apachedrill on twitter" target="_blank"><img src="/images/twitter_32_26_white.png" alt="twitter logo" align="center"></a> </li>
  <li class='search-bar'>
    <form id="drill-search-form">
      <input type="text" placeholder="Search Apache Drill" id="drill-search-term" />
      <button type="submit">
        <i class="fa fa-search"></i>
      </button>
    </form>
  </li>
  <li class="d">
    <a href="/download/">
      <i class="fa fa-cloud-download"></i> Download
    </a>
  </li>
</ul>
</div>

    <link href="/css/content.css" rel="stylesheet" type="text/css">

<div class="post int_text">
  <header class="post-header">
    <div class="int_title">
      <h1 class="post-title">Drill 1.1 Released</h1>
    </div>
    <p class="post-meta">
    
      
      
      <strong>Author:</strong> Jacques Nadeau (PMC Chair and Committer, Apache Drill)<br />
    
<strong>Date:</strong> Jul 5, 2015
</p>
  </header>
  <div class="addthis_sharing_toolbox"></div>

  <article class="post-content">
    <p>Today I&#39;m happy to announce the availability of the Drill 1.1 release. This release addresses <a href="https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12313820&amp;version=12329689">162 JIRAs</a> on top of May&#39;s 1.0 release. Highlights include:</p>

<h2 id="automatic-partitioning-for-parquet-files">Automatic Partitioning for Parquet Files</h2>

<p>Drill now supports creating partitions automatically when using <code>CREATE TABLE AS</code> (CTAS) to generate Parquet files. By leveraging the unique capabilities of the Parquet file format, Drill is able provide this capability and still maintain data integrity and compatibility with all other systems that consume Parquet (a world&#39;s first). This functionality can be exercised by utilizing the new <a href="https://drill.apache.org/docs/partition-by-clause/"><code>PARTITION BY</code></a> clause support.</p>

<h2 id="window-functions">Window Functions</h2>

<p>Drill now has first-class support for SQL window Functions. This includes:</p>

<ul>
<li>Aggregate Functions: <code>AVG</code>, <code>COUNT</code>, <code>MAX</code>, <code>MIN</code>, <code>SUM</code></li>
<li>Ranking Functions: <code>CUME_DIST</code>, <code>DENSE_RANK</code>, <code>PERCENT_RANK</code>, <code>RANK</code> and <code>ROW_NUMBER</code></li>
</ul>

<p>The community has done an excellent job providing a <a href="https://drill.apache.org/docs/sql-window-functions-introduction/">comprehensive documentation</a> so that you can start using window functions immediately.  </p>

<h2 id="hive-storage-plugin-enhancements">Hive Storage Plugin Enhancements</h2>

<p>We&#39;ve enhanced Drill to work even better with Hive. We started by upgrading Drill&#39;s support to work with Hive 1.0. In addition, Drill now provides a powerful new security feature called <a href="https://drill.apache.org/docs/configuring-user-impersonation-with-hive-authorization/">delegated Hive impersonation</a>. Compatibility and performance are also improved with better data type support (including support for binary, tinyint and smallint data types) and better concurrency.</p>

<h2 id="sql-union-improvements">SQL UNION Improvements</h2>

<p>We&#39;ve enhanced support for SQL <code>UNION</code> functionality.  Drill now supports both <code>UNION</code> and <code>UNION ALL</code> capabilities.  We&#39;ve also improved the query optimizer to better optimize plans that include the <code>UNION</code> clause.</p>

<h2 id="new-features-for-complex-data">New Features For Complex Data</h2>

<p>Drill&#39;s complex data capabilities continue to be the best in the market, now including support for <code>COUNT</code> aggregations on various types of complex objects. Also, Drill&#39;s <code>FLATTEN</code> function now supports very large complex objects.</p>

<h2 id="improved-jdbc-driver-compatibility">Improved JDBC Driver Compatibility</h2>

<p>Apache Drill&#39;s JDBC driver continues to improve. This includes a number of enhancements and fixes to better support JDBC tools including <a href="https://drill.apache.org/docs/using-microstrategy-analytics-with-apache-drill/">MicroStrategy</a>, <a href="https://drill.apache.org/docs/using-tibco-spotfire-desktop-with-drill/">TIBCO Spotfire</a>, <a href="https://drill.apache.org/docs/configuring-jreport-with-drill/">JReport</a> and <a href="https://drill.apache.org/docs/using-jdbc-with-squirrel-on-windows/">SQuirreL</a>.  </p>

<p>The Apache Drill community now publishes the JDBC driver for easy inclusion in your application through the use of Maven coordinates. You can incorporate Drill&#39;s JDBC driver into your application by <a href="http://search.maven.org/remotecontent?filepath=org/apache/drill/exec/drill-jdbc-all/1.1.0/drill-jdbc-all-1.1.0.jar">downloading it directly</a> or referencing the following coordinates within your Maven application.  </p>
<div class="highlight"><pre><code class="language-text" data-lang="text">&lt;dependency&gt;
  &lt;groupId&gt;org.apache.drill.exec&lt;/groupId&gt;
  &lt;artifactId&gt;drill-jdbc-all&lt;/artifactId&gt;
  &lt;version&gt;1.1.0&lt;/version&gt;
&lt;/dependency&gt;
</code></pre></div>
<h2 id="mongodb-3.0-support">MongoDB 3.0 Support</h2>

<p>Drill now uses MongoDB&#39;s latest Java driver and has enhanced connection pooling for better performance and resilience in large-scale deployments.  Learn more about using the <a href="https://drill.apache.org/docs/mongodb-plugin-for-apache-drill/">MongoDB plugin</a>.</p>

<h2 id="many-more-fixes">Many More Fixes</h2>

<p>Drill includes a variety of <a href="https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12313820&amp;version=12329689">other fixes and enhancements</a> including:</p>

<ul>
<li>Improvements for certain types of exists and correlated subqueries</li>
<li>Fixes for running Drill on Windows</li>
<li>Improvements in implicit casting capabilities in schemaless scenarios</li>
<li>Improvements in <code>INFORMATION_SCHEMA</code></li>
<li>Fixes for the Web UI and the REST API</li>
</ul>

<h2 id="more-frequent-releases">More Frequent Releases</h2>

<p>The amazing Drill community continues to be the driving force behind these rapid iterative releases.  Thanks to all the <a href="/team/">committers</a> and contributors that made this release possible!  The community&#39;s goal continues to be maintaining a 4-6 release cycle throughout the summer.  This means you will have many more enhancements to look for in the next few months.  If you use Drill, want to, or want to help develop it, drop by in <a href="https://drill.apache.org/mailinglists/">the community</a>.</p>

<p>Download the <a href="https://drill.apache.org/download/">Drill 1.1.0 release</a> now and let us know your thoughts.</p>

<p>Drill On!<br>
Jacques Nadeau</p>

  </article>
 <div id="disqus_thread"></div>
    <script type="text/javascript">
        /* * * CONFIGURATION VARIABLES: EDIT BEFORE PASTING INTO YOUR WEBPAGE * * */
        var disqus_shortname = 'drill'; // required: replace example with your forum shortname

        /* * * DON'T EDIT BELOW THIS LINE * * */
        (function() {
            var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
            dsq.src = '//' + disqus_shortname + '.disqus.com/embed.js';
            (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
        })();
    </script>
    <noscript>Please enable JavaScript to view the <a href="http://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
    
</div>
<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-548b2caa33765e8d" async="async"></script>

  </div>
  <p class="push"></p>
<div id="footer" class="mw">
<div class="wrapper">
Copyright © 2012-2014 The Apache Software Foundation, licensed under the Apache License, Version 2.0.<br>
Apache and the Apache feather logo are trademarks of The Apache Software Foundation. Other names appearing on the site may be trademarks of their respective owners.<br/><br/>
</div>
</div>

  <script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-53379651-1', 'auto');
ga('send', 'pageview');
</script>

</body>
</html>
